version: '3.5'
services:

  backend-service:
    container_name: backend_vacina
    build:
      context: ./backend
    image: vacina/vacina-php-fpm:7.4
    working_dir: /var/www/html/
    
    volumes:
      - ./backend:/var/www/html
    environment:
      - APP_ENV=local
    entrypoint: ["/bin/sh", "/usr/local/bin/docker-entrypoint.sh"]
    depends_on:
      - db-service
    links:
      - db-service
    restart: on-failure
    networks:
      - vacina_network

  webapp-service:
    container_name: vacina-front
    build:
      context: ./front
    user: "node"
    working_dir: /app
    volumes:
      - ./front/src:/app/src/
    ports:
      - "8081:8080"
    environment:
      - NODE_ENV=development
    networks:
      - vacina_network
  
  db-service:
    image: postgres:11.5-alpine
    container_name: vacina-db
    environment:
      - POSTGRES_DB=db_vacina
      - POSTGRES_USER=usr_vacina
      - POSTGRES_PASSWORD=psw_vacina
      - POSTGRES_DB_TEST=db_vacina_test
    ports:
      - 5401:5432
    expose:
      - 5432
    volumes:
      - ./database/docker-data/postgres:/var/lib/postgresql/data
    networks:
      - vacina_network

  backend-nginx-service:
    image: nginx:1.17-alpine
    container_name: backend_vacina-nginx
    working_dir: /var/www/html/
    volumes:
      - ./backend:/var/www/html
      - ./backend/docker/webserver/nginx/nginx.conf:/etc/nginx/conf.d/default.conf
    ports:
      - '8001:80'
    depends_on:
      - backend-service
    networks:
      - vacina_network
  

networks:
  vacina_network:
    name: vacina_network
    driver: bridge